#include "io.h"
#include <string.h>
#include "ir.h"

#define sponka_vklop 6
#define sponka_smer 5
#define sponka_korak 0
#define sponka_senzor_zgoraj 3
#define sponka_senzor_spodaj 4
#define vhod 0
#define izhod 1

void _RampaInit(void)
{
  _setpindir(sponka_vklop,izhod);
  outportp(sponka_vklop,1);
 
}
void _SmerInit(void)
{
  _setpindir(sponka_smer,izhod);
}
void _KorakInit(void)
{
  _setpindir(sponka_korak,izhod);
}
void _SenzorInit(void)
{
  _setpindir(sponka_senzor_zgoraj,vhod);
  _setpindir(sponka_senzor_spodaj,vhod);
}
void Premakni_Rampo(void)
{
  static int stanje=0;
  outportp(sponka_korak,stanje);  
  stanje=1-stanje;
}
int jeRampaZgoraj()
{
  if(inportp(sponka_senzor_zgoraj)==0)return 1;
  else return 0;
}
int jeRampaSpodaj()
{
  if(inportp(sponka_senzor_spodaj)==0)return 1;
  else return 0;
}

int main(void)
{ 
   int tipka;
   int senzor;
   char geslo[5];
   int i;
   int pravilno;
   _RampaInit();
   _SmerInit();
   _KorakInit();
   _SenzorInit();
   _TimerInit();
   _KeyInit();
   _LCDInit();
   _IRInit();
   
   _setpindir(2,0);
   
   while(1)
   {
     
     for(i=0; i<4; i++)
     {
     tipka = getch();
     geslo[i] = tipka;
     }
     geslo[4]=0;
     printf(geslo);
     if (strcmp(geslo,"2011") ==0){
     outportp(5, 0);
     }
     else  
     outportp(5, 1);
     pravilno = strcmp(geslo,"2011");
     
     while(1){
     senzor=inportp(2);
     if(pravilno==0 && jeRampaZgoraj())
     break;
     
     if(pravilno!=0 && jeRampaSpodaj())
     break;
     
     if(senzor!=1 || !inportp(5)){
     Premakni_Rampo();
     delay(10);
     }
     
     
       
       
     }
     
   }
      
       
   
   return 0;
 }
